package com.yonge.cooleshow.biz.dal.vo;

import com.yonge.cooleshow.common.entity.BaseEntity;
import com.yonge.cooleshow.common.enums.YesOrNoEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @author: cy
 * @date: 2022/4/2 16:04
 */
@ApiModel(value = "VideoLessonStudentDetailVo对象")
public class VideoLessonStudentDetailVo extends BaseEntity {
    @ApiModelProperty("视频课组id")
    private String groupId;

    @ApiModelProperty("视频课组名称")
    private String lessonName;

    @ApiModelProperty("课程声部")
    private String lessonSubject;

    @ApiModelProperty("课程声部")
    private String lessonSubjectName;

    @ApiModelProperty("课程数")
    private Integer lessonCount;

    @ApiModelProperty("支付金额")
    private String payMoney;

    @ApiModelProperty("订单号")
    private String orderNo;

    @ApiModelProperty("购买时间")
    private String purchaseTime;

    @ApiModelProperty("审核版本")
    private YesOrNoEnum auditVersion;

    public YesOrNoEnum getAuditVersion() {
        return auditVersion;
    }

    public void setAuditVersion(YesOrNoEnum auditVersion) {
        this.auditVersion = auditVersion;
    }

    public String getLessonSubjectName() {
        return lessonSubjectName;
    }

    public void setLessonSubjectName(String lessonSubjectName) {
        this.lessonSubjectName = lessonSubjectName;
    }

    public String getGroupId() {
        return groupId;
    }

    public void setGroupId(String groupId) {
        this.groupId = groupId;
    }

    public String getLessonName() {
        return lessonName;
    }

    public void setLessonName(String lessonName) {
        this.lessonName = lessonName;
    }

    public String getLessonSubject() {
        return lessonSubject;
    }

    public void setLessonSubject(String lessonSubject) {
        this.lessonSubject = lessonSubject;
    }

    public Integer getLessonCount() {
        return lessonCount;
    }

    public void setLessonCount(Integer lessonCount) {
        this.lessonCount = lessonCount;
    }

    public String getPayMoney() {
        return payMoney;
    }

    public void setPayMoney(String payMoney) {
        this.payMoney = payMoney;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getPurchaseTime() {
        return purchaseTime;
    }

    public void setPurchaseTime(String purchaseTime) {
        this.purchaseTime = purchaseTime;
    }
}
